mui.plusReady(function(){
	// some ajax 
})
const app = new Vue({
	el: '#app',
	data() {
		return {
			noteData: [
			]
		}
	},
	created() {
		console.log("Vue")
	},
	methods: {
		triggerDelete(index) {
			this.$set(this.noteData[index], 'currentDelete', true)
		},
		cancelDelete(index){
			this.$set(this.noteData[index], 'currentDelete', false)
		},
		confirmDelete(index){
			console.log("删除", this.noteData[index])
			// some ajax
			window.location.reload()
		},
		edit(index){
			console.log("编辑", this.noteData[index])
			// some ajax
			window.location.reload()
		},
		create(){
			// some jump
		}
	},
	mounted() {
		// some ajax
		this.noteData = [
			{id: 1, name: '这是一个名字', created_at: "2019-07-06 18:00:01", updated_at: "2019-07-06 18:00:09"},
			{id: 2, name: '这是二个名字', created_at: "2019-07-06 19:00:01", updated_at: "2019-07-06 20:00:09"},
		]
	}
})